/*
*******************************************************************************
*  Copyright (c) 1996 Martin Poole                            *
*******************************************************************************
**
** WARNING !!  WARNING !! WARNING !! WARNING !! WARNING !! WARNING !!
**
** Any changes to be made to this file should first be checked with
** mplib1 source control for library integrity.
**
** mplib1 source control can be reached at  mplib1@quatermass.co.uk
** 
*
*  $Source$
*  $Author$
*  $Date$
*  $Revision$
*
*******************************************************************************
*
* $Log$
*
*******************************************************************************
*/

/* ------------------------------------------------------------------
    Include files
   ------------------------------------------------------------------ */

#include <stdio.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/time.h>
#include <pwd.h>
#include <time.h>
#include <string.h>
#include <stdarg.h>
#include <memory.h>
#include <malloc.h>

#include <mplib1/mplib1_config.h>
#include <mplib1/timestamp.h>
#include <mplib1/pid_check.h>
#include <mplib1/fprintfile.h>

/* ------------------------------------------------------------------
    defines
   ------------------------------------------------------------------ */

/* ------------------------------------------------------------------
    Code starts here
   ------------------------------------------------------------------ */

char *
make_log_str( char *buf )
{
    static char log_str[TIMESTAMP_STR_SZ];
    char pid_str[PID_STR_LEN];
    char *tstr;

    if (buf==NULL)
	buf=log_str;
    tstr = make_timestamp_str( NULL );
    gen_pid_str( pid_str, getpid() );
    sprintf( buf, "%s %s %s ",
	    tstr, pid_str, get_my_uname() );
    
    return(buf);
}

/* -- End of File -- */
