/*
*******************************************************************************
*  Copyright (c) 1997 Martin Poole                            *
*******************************************************************************
**
** WARNING !!  WARNING !! WARNING !! WARNING !! WARNING !! WARNING !!
**
** Any changes to be made to this file should first be checked with
** mplib1 source control for library integrity.
**
** mplib1 source control can be reached at  mplib1@quatermass.co.uk
** 
*
*  $Source$
*  $Author$
*  $Date$
*  $Revision$
*  Purpose        :
*
*******************************************************************************
*
* Change History
*
* $Log$
*
*******************************************************************************
*/

#ident "$Header$"

/* ------------------------------------------------------------------
    Include files
   ------------------------------------------------------------------ */

#include <stdio.h>
#include <unistd.h>
#include <errno.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/time.h>
#include <sys/ipc.h>
#include <sys/shm.h>
#include <signal.h>

#include <mplib1/mplib1_config.h>
#ifdef INCLUDE_SYS_SELECT
#include <sys/select.h>
#endif

#include <mplib1/dl_list.h>
#include <mplib1/bpo_proc.h>
#include <mplib1/daemon.h>
#include <mplib1/bpo_daemon.h>

/* ------------------------------------------------------------------
    structures / defines
   ------------------------------------------------------------------ */

/* ------------------------------------------------------------------
    Code starts here
   ------------------------------------------------------------------ */

int
bpo_daemon_sleep( int how_long )
{
    static int pipefd=-1;
    if (pipefd==-1)
    {
	pipefd = Get_Process_Pipe_fd( );
    }
    return mp_daemon_sleep( pipefd, how_long );
}


/* -- End of File -- */
